# class Node::ActiveRecord

### Public Class Methods

new() click to toggle source
Calls superclass method Puppet::Indirector::ActiveRecord.new

    # File lib/puppet/indirector/node/active_record.rb, line 11
    def initialize
      Puppet.deprecation_warning "ActiveRecord-based storeconfigs and inventory are deprecated. See http://links.puppetlabs.com/activerecord-deprecation"
      super
    end

### Public Instance Methods

find(request) click to toggle source
Calls superclass method Puppet::Indirector::ActiveRecord#find

    # File lib/puppet/indirector/node/active_record.rb, line 16
    def find(request)
      node = super
      node.environment = request.environment
      node.fact_merge
      node
    end